#ifndef _PROJECT_DEFS_H
#define _PROJECT_DEFS_H

#include <ch32v00x.h>
#include <stdint.h>
#include <stdbool.h>

// Le micro-contrôleur fonctionne à 48MHz.
#define MCU_FREQ 48000000

// On définit à quelle fréquence on veut cadencer les pas.
#define STEP_FREQ 100

// Avec un prescaler de 4800, une reload value de 100 correspond à 100Hz et 10000 à 1Hz.
#define PRESCALER 4800

#endif // _PROJECT_DEFS_H
